# ReCaptcha V3 Enterprise Proxyless

Rest API Endpoint: `https://captcha.datalabs.net/createTask`

## Creating The Task

```json
POST https://captcha.datalabs.net/createTask
Host: captcha.datalabs.net
Content-Type: application/json

{
  "clientKey": "DATALABS_API_KEY",
  "task": {
    "type": "RecaptchaV3EnterpriseTaskProxyless",
    "websiteURL": "https://google.com/recaptcha/api2/demo",
    "websiteKey": "6Le-wvkSAAAAAPBMRTvw0Q4Muexq9bi0DJwx_mJ-",
    "enterprisePayload": {
        "s": "S_DATA_VALUE" // Optional custom value
      },
    "isInvisible": true,
    "pageAction": "submit_form", // Optional custom action value
    "minScore": "0.3", // Optional minimum validation score for stronger targets
    },
  "callbackUrl": "https://example.com/callback"
}
```

### Task Parameter Table

<table><thead><tr><th width="189">Parameters</th><th width="162.66666666666666">Required</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td>true</td><td><em><strong>RecaptchaV3EnterpriseTaskProxyless</strong></em></td></tr><tr><td>websiteURL</td><td>true</td><td>The website address in which you're solving the captcha for.</td></tr><tr><td>websiteKey</td><td>true</td><td>The websites static recaptcha sitekey. This can be found as the value of the attribute <code>data-sitekey</code> of the element with the class <code>g-recaptcha</code>.</td></tr><tr><td>enterprisePayload</td><td>false</td><td>Contains the parameter <code>s</code>, for custom implementations of Recaptcha that require the s data. This can be found either in the page source or in the recaptcha network activity. This value alternates therefor must be scraped and used anew on each solve.</td></tr><tr><td>pageAction</td><td>false</td><td>Can be found as value of <code>sa</code> parameter in the anchor endpoint or found in recaptcha widget as the <code>action</code> value. Typically a static value.</td></tr><tr><td>minScore</td><td>false</td><td>Value from 0.1 to 0.9 which represents the score of the solution results. Higher score may yield better results on certain sites.</td></tr><tr><td>userAgent</td><td>false</td><td>Browser user-agent used in emulation. Must use modern browser user-agent to avoid google prompting to "Update your browser".</td></tr><tr><td>cookies</td><td>false</td><td>Cookies to be passed to the solver.<br><strong>Format:</strong> <code>cookie1=value; cookie2=value2;</code></td></tr><tr><td>isInvisible <mark style="color:blue;">(Bool)</mark></td><td>false</td><td>If the captcha field is visible set to <code>true</code>, if the captcha field is NOT visible or has a hidden field for confirmation this value must be set to <code>false</code></td></tr></tbody></table>

### Task Created Response <a href="#task-created-response" id="task-created-response"></a>

```json
{
  "errorId":0,
  "taskId":997993082
}
```

<table><thead><tr><th width="184">Parameters</th><th width="370">Description</th></tr></thead><tbody><tr><td>errorId</td><td>0: Without error.<br>1: Error with request.</td></tr><tr><td>errorCode</td><td>Short code for error type.</td></tr><tr><td>errorDescription</td><td>More detailed description of the error that occurred.</td></tr><tr><td>taskId</td><td>Task ID, provided for synchronous tasks to be pushed to /getTaskResult</td></tr></tbody></table>

## Retrieving the Solution

```json
POST https://captcha.datalabs.net/getTaskResult
Host: captcha.datalabs.net
Content-Type: application/json

{
  "clientKey": "DATALABS_API_KEY",
  "taskId": "997993082"
}
```

### Successful Solution Response

```json
{
  "errorId":0,
  "status":"ready",
  "solution": {
    "gRecaptchaResponse":"03AFcWeA6P_W0urJnFwK-f2psFTXp..."
  }
}
```

<table><thead><tr><th width="246">Parameters</th><th>Description</th></tr></thead><tbody><tr><td>gRecaptchaResponse</td><td>The successfully solved solution token.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datalabs.net/captcha-tasks/recaptcha-v3-tasks/recaptcha-v3-enterprise-proxyless.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
